
final class Class323 implements Interface13 {

   public Class295 method55(int var1) {
      return Class451.aClass182_Sub2_5648.method14445(var1, (byte)7);
   }

   public Class295 method52(int var1, int var2) {
      return Class451.aClass182_Sub2_5648.method14445(var1, (byte)7);
   }

   public Class169 method54(Class251 var1, int var2) {
      return ((Class182_Sub1)Class389.aMap4847.get(var1)).method14423(var2, 1946327829);
   }

   public Class169 method53(Class251 var1, int var2, byte var3) {
      return ((Class182_Sub1)Class389.aMap4847.get(var1)).method14423(var2, -693358760);
   }

   static final void method5848(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub9_8492.method12871(-1893544674);
   }

   public static final void method5849(Class515_Sub1_Sub4_Sub4_Sub1 var0, int var1, int var2, byte var3, byte var4) {
      int var5 = var0.anIntArray10770[0];
      int var6 = var0.anIntArray10779[0];
      if(var5 >= 0 && var5 < client.aClass279_7807.method4910(1687461497) && var6 >= 0 && var6 < client.aClass279_7807.method4911((byte)-47)) {
         if(var1 >= 0 && var1 < client.aClass279_7807.method4910(1931566142) && var2 >= 0 && var2 < client.aClass279_7807.method4911((byte)-22)) {
            int var7 = Class50.method1201(var5, var6, var0.method16638(1745838964), Class501.method8374(var1, var2, -221018030), client.aClass279_7807.method4920(var0.aByte8443, -162815374), true, client.anIntArray7730, client.anIntArray7731, (byte)-51);
            if(var7 >= 1) {
               if(var7 <= 3) {
                  for(int var8 = 0; var8 < var7 - 1; ++var8) {
                     var0.method16792(client.anIntArray7730[var8], client.anIntArray7731[var8], var3, -904179003);
                  }

               }
            }
         }
      }
   }

   static final void method5850(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 87834272);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class311.method5552(var3, var4, var0, 1111959185);
   }
}
